
Core - Bug # 63784

Bug # 63692 (Accepted): Memory consumption while bulk inserting

Status: Resolved Priority: Should have
Author: Stephan Großberndt Category: Performance
Created: 2014-12-11 Assigned To: Stephan Großberndt
Updated: 2015-03-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Do not check for generated key in possibly empty array in DataHandler->fillInFieldArray
Description

If $this->exclude_array is empty its not necessary to check for the existence.

foreach ($incomingFieldArray as $field => $fieldValue) {
    if (!in_array(($table . '-' . $field), $this->exclude_array) && !$this->data_disableFields[$table][$id][$field]) {

Associated revisions
Revision 3b6a0912 - 2015-03-11 19:47 - Stephan Großberndt

[!!!][TASK] Replace DataHandler->exclude_array with key-based array

Replace the public property array 'exclude_array' in DataHandler with a
protected property 'excludedTablesAndFields' using keys instead of
values. This change improves performance for bulk inserts since in
DataHandler->fillInFieldArray() many in_array()-checks can be avoided.

Resolves: #63784
Releases: master
Change-Id: I478319fea022c3eceaac35da9c093d1c43ecb2e4
Reviewed-on: http://review.typo3.org/35315
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2014-12-11 18:57 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#2 - 2014-12-11 19:12 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#3 - 2014-12-11 19:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#4 - 2014-12-12 09:46 - Mathias Schreiber
- Parent task set to #63692

#5 - 2014-12-12 10:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#6 - 2014-12-12 11:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#7 - 2014-12-16 21:29 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#8 - 2014-12-29 20:03 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#9 - 2015-03-10 21:43 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#10 - 2015-03-11 07:57 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

#11 - 2015-03-11 17:03 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35315

2015-08-04 2/3

http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315
http://review.typo3.org/35315


#12 - 2015-03-11 20:00 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3b6a0912cfbf886c824c4ade9d174497ad68948d.
